{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  kanboardLabel = "Kanboard";
  kanboardName = "kanboard";
  kanboardSubdomain = "todo";
in
{
  label = kanboardLabel;
  name = kanboardName;
  email = {
    address0 = "noreply@${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${kanboardName}";
  };
  subdomain = kanboardSubdomain;
  paths = {
    path0 = "${servicePath}/${kanboardLabel}";
  };
  ports = {
    port0 = 3434;
  };
  ssl = {
    cert = "${sslPath}/${kanboardSubdomain}.${domain0}/fullchain.pem";
    key = "${sslPath}/${kanboardSubdomain}.${domain0}/key.pem";
  };
}
